跳到内容
Esc
↑↓导航↵打开⌘J预览

Update a webhook

PATCH/webhooks/{id}
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
idstring<uuid>必填
请求体
application/json
endpointstring<uri>
最大长度 2048
eventsstring[]
最少 1 项
statusstring
允许值:enableddisabled
inbox_idsstring<uuid>[] | null

BillionSend extension: inbox events and email.received reach this endpoint only for these inboxes of the team (at most 100). null means every inbox. Omitted: unchanged.

最多 100 项
响应
200

Webhook updated

objectstring必填
允许值:webhook
idstring<uuid>必填
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Not found

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求体application/json
请求
curl -X PATCH 'https://api.billionsend.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "endpoint": "http://example.com",
  "events": [
    "email.scheduled"
  ],
  "status": "enabled",
  "inbox_ids": [
    "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  ]
}'
响应
{
  "object": "webhook",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

这个页面有帮助吗?